<?php

/*******************************************************************************

    Autore ....... Mario Marovelli
    Contatto ..... mariulin@tin.it / tecnici@tecnos2.it
    Programma .... Meteosat Images
    Versione ..... 0.6
    Funzione ..... This program insert the latest Meteosat image and put it
                   over or under the Folder List.
    Traduction     Guillaume Arcas / guillaume.arcas@free.fr

*******************************************************************************/

function squirrelmail_plugin_init_meteosat()
{
    global $squirrelmail_plugin_hooks;

    $squirrelmail_plugin_hooks["left_main_before"]["meteosat"] = "meteosat_show_before";
    $squirrelmail_plugin_hooks["left_main_after"]["meteosat"] = "meteosat_show_after";
    $squirrelmail_plugin_hooks["options_display_inside"]["meteosat"] = "meteosat_show_options";
    $squirrelmail_plugin_hooks["options_display_save"]["meteosat"] = "meteosat_save_options";
    $squirrelmail_plugin_hooks["loading_prefs"]["meteosat"] = "meteosat_load_options";

    return;
}

function meteosat_show_before()
{
    global $meteosat_image, $meteosat_position, $meteosat_type, $left_size;

    if ($meteosat_image && ($meteosat_position == 'above' || $meteosat_position == ''))
    {
            print "<a href=$meteosat_image target=\"new\">";
            print "<center><img src=$meteosat_image border=1 width=120 height=120 alt=\"MeteoSat\"></center></a><br>";
    }

    return;
}

function meteosat_show_after()
{
    global $meteosat_image, $meteosat_position, $meteosat_type, $left_size;

    if ($meteosat_image && $meteosat_position == 'below')
    {
            print "<a href=$meteosat_image target=\"new\">";
            print "<center><img src=$meteosat_image border=1 width=120 height=120 alt=\"MeteoSat\"></center></a><br>";
    }

    return;
}

function meteosat_show_options()
{
    global $meteosat_image, $meteosat_position, $username, $meteosat_type;
    print '

<tr><td colspan="2">&nbsp;</td></tr>
<tr><td colspan="2" align=center><b>Options Affichage Meteosat</b></td></tr>

        <tr>
            <td align=right>Rgion :</td>
            <td>
               <select name="sat_image_in">
    ';

    if ($meteosat_image == '')
                $sel = ' selected';
        print "<option value=".$sel.">Aucune Image\n";
    $sel = '';

    if ($meteosat_image == 'D2.JPG')
                $sel = ' selected';
        print "<option value=http://www.eumetsat.de/mdrs/img/jpg/D2_M_latest.jpg".$sel.">Europe (D2)\n";
    $sel = '';

    if ($meteosat_image == 'D3.JPG')
        	$sel = ' selected';
	print "<option value=http://www.eumetsat.de/mdrs/img/jpg/D3_M_latest.jpg".$sel.">Moyen Orinet (D3)\n";
    $sel = '';

        if ($meteosat_image == 'D5.JPG')
                $sel = ' selected';
        print "<option value=http://www.eumetsat.de/mdrs/img/jpg/D5_M_latest.jpg".$sel.">Afrique Centrale (D5)\n";
    $sel = '';

        if ($meteosat_image == 'D6.JPG')
                $sel = ' selected';
        print "<option value=http://www.eumetsat.de/mdrs/img/jpg/D6_M_latest.jpg".$sel.">Afrique de l'Est (D6)\n";
    $sel = '';

        if ($meteosat_image == 'D9.JPG')
                $sel = ' selected';
        print "<option value=http://www.eumetsat.de/mdrs/img/jpg/D9_M_latest.jpg".$sel.">Afrique du Sud (D9)\n";
    $sel = '';

        if ($meteosat_image == 'DTOT.JPG')
                $sel = ' selected';
        print "<option value=http://www.eumetsat.de/mdrs/img/jpg/DTOT_M_latest.jpg".$sel.">Europe Afrique - Moyen-Orient (DTOT)\n";
    $sel = '';

        if ($meteosat_image == 'ITOT.JPG')
                $sel = ' selected';
        print "<option value=http://www.eumetsat.de/mdrs/img/jpg/ITOT_M_latest.jpg".$sel.">Ocan Indien (ITOT)\n";
    $sel = '';

        if ($meteosat_image == 'NAMERICA.JPG')
                $sel = ' selected';
        print "<option value=http://www.metoffice.com/satpics/namerica.jpg".$sel.">Amrique du Nord e Amerique Central\n";
    $sel = '';

        if ($meteosat_image == 'SAMERICA.JPG')
                $sel = ' selected';
        print "<option value=http://www.metoffice.com/satpics/samerica.jpg".$sel.">Amrique du Sud\n";
    $sel = '';

        if ($meteosat_image == 'AUS.JPG')
                $sel = ' selected';
        print "<option value=http://www.metoffice.com/satpics/ausnzin.jpg".$sel.">Australie\n";
    $sel = '';

    print '
            </td>
         </tr>
	</select>
         <tr>
            <td align=right>Afficher la photo satellite:</td>
            <td>
               <select name="meteosat_position_in">
    ';
    if ($meteosat_position == 'above')
        $sel = ' selected';
    print "<option value=above".$sel.">Au-dessus de la liste des dossiers\n";
    $sel = '';

    if ($meteosat_position == 'below' || $meteosat_position == '')
        $sel = ' selected';
    print "<option value=below".$sel.">Sous la liste des dossiers\n";
    $sel = '';

    print '
               </select>
            </td>
         </tr>
         <tr>
             <td>

</td>
</tr>


    ';

    return;
}

function meteosat_save_options()
{
    global $data_dir, $username, $sat_image_in, $meteosat_position_in, $leftsize, $meteosat_type_in;

    setPref($data_dir, $username, 'meteosat_image', $sat_image_in);
    setPref($data_dir, $username, 'meteosat_position', $meteosat_position_in);

    return;
}

function meteosat_load_options()
{
    global $meteosat_image, $meteosat_position, $meteosat_type, $username, $data_dir;

    $meteosat_image = getPref($data_dir, $username, 'meteosat_image');
    $meteosat_position = getPref($data_dir, $username, 'meteosat_position');

    return;
}

?>
